SuSE 10 Security Update : xpdf (ZYPP Patch Number 6560)

High Nessus Plugin ID 49935

Synopsis

The remote SuSE 10 host is missing a security-related patch.

Description

Specially crafted PDF files could cause buffer overflows in xpdf when viewing such a document. (CVE-2009-3603 / CVE-2009-3604 / CVE-2009-3605 / CVE-2009-3606 / CVE-2009-3608 / CVE-2009-3609)

Solution

Apply ZYPP patch number 6560.

See Also

http://support.novell.com/security/cve/CVE-2009-3603.html

http://support.novell.com/security/cve/CVE-2009-3604.html

http://support.novell.com/security/cve/CVE-2009-3605.html

http://support.novell.com/security/cve/CVE-2009-3606.html

http://support.novell.com/security/cve/CVE-2009-3608.html

http://support.novell.com/security/cve/CVE-2009-3609.html

Plugin Details

Severity: High

ID: 49935

File Name: suse_xpdf-6560.nasl

Version: Revision: 1.6

Type: local

Agent: unix

Published: 2010/10/11

Updated: 2016/12/22

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2009/10/26

Reference Information

CVE: CVE-2009-3603, CVE-2009-3604, CVE-2009-3605, CVE-2009-3606, CVE-2009-3608, CVE-2009-3609

CWE: 189, 399